<script>
export default {
  name: 'RedHatLogo',
};
</script>

<template>
  <svg width="100" height="65" viewBox="0 0 100 65" fill="none" xmlns="http://www.w3.org/2000/svg">
    <g clip-path="url(#clip0)">
      <path
        d="M66.0027 16.1261C66.0656 16.4163 66.0925 16.7133 66.0826 17.0101C66.0826 20.8452 61.4203 21.5178 58.196 21.5204C45.6548 21.5204 36.2888 13.7472 36.2888 11.3709C36.2793 11.1972 36.2985 11.023 36.3455 10.8555L35.4022 13.1931C35.1458 13.7898 35.0142 14.4328 35.0156 15.0823C35.0156 19.7498 45.5826 26.7988 57.6445 26.7885C62.9795 26.7885 67.0362 24.7782 67.0311 21.1647C67.0311 20.889 67.0311 20.6647 66.5852 18.5539L66.0027 16.1261Z"
        fill="black"
      />
      <path
        d="M58.1961 21.5181C61.4203 21.5181 66.0878 20.8428 66.0827 17.0078C66.0923 16.7118 66.0655 16.4158 66.0028 16.1263L64.075 7.78612C63.6291 5.95107 63.2373 5.1186 60.0131 3.51035C57.5105 2.23458 52.0621 0.126331 50.4512 0.128909C48.9512 0.128909 48.5079 2.07478 46.7296 2.07736C45.0079 2.07736 43.727 0.634063 42.1162 0.636641C40.5698 0.636641 39.5595 1.69592 38.7837 3.86344C38.7837 3.86344 36.6214 9.97685 36.3456 10.866C36.2985 11.0336 36.2794 11.2077 36.2889 11.3815C36.2889 13.7578 45.6549 21.5413 58.1961 21.531V21.5181ZM66.5853 18.5567C67.0311 20.6676 67.0311 20.8918 67.0311 21.1676C67.0311 24.7758 62.9796 26.7861 57.6445 26.7913C45.5853 26.7913 35.0208 19.7526 35.0157 15.0851C35.0142 14.4356 35.1458 13.7927 35.4023 13.1959C31.0672 13.4201 25.4564 14.2037 25.459 19.1495C25.459 27.2629 44.7064 37.25 59.9332 37.2372C71.6033 37.2372 74.544 31.9433 74.5414 27.7758C74.5414 24.4949 71.7064 20.7758 66.5853 18.5567Z"
        fill="#EE0000"
      />
      <path
        d="M91.3817 59.6701C91.3817 62.732 93.2244 64.2217 96.5853 64.2217C97.62 64.1962 98.6484 64.0509 99.6497 63.7887V60.2371C99.01 60.4412 98.3418 60.5421 97.6703 60.5361C96.2863 60.5361 95.7734 60.1031 95.7734 58.8016V53.3505H99.7837V49.6907H95.7734V45.0516L91.392 46V49.6856H88.4822V53.3505H91.3817V59.6701ZM77.7373 59.75C77.7373 58.8016 78.6858 58.3402 80.1214 58.3402C80.9988 58.3453 81.8726 58.4543 82.7244 58.665V60.5103C81.8845 60.9676 80.941 61.2011 79.9848 61.1882C78.5775 61.1882 77.7373 60.6443 77.7373 59.75ZM79.075 64.2758C80.6214 64.2758 81.8688 63.951 83.0337 63.165V64.0335H87.3714V54.8454C87.3714 51.348 85.0131 49.433 81.0827 49.433C78.8868 49.433 76.7167 49.9485 74.3817 51.0052L75.9538 54.232C77.6342 53.5258 79.0466 53.0928 80.2915 53.0928C82.0956 53.0928 83.0286 53.7964 83.0286 55.2346V55.9279C81.9663 55.6536 80.8731 55.5176 79.776 55.5232C76.0904 55.5232 73.8662 57.0696 73.8662 59.8325C73.8662 62.3531 75.8714 64.2758 79.0698 64.2758H79.075ZM55.2451 64.0335H59.9074V56.6057H67.7141V64.0335H72.3765V45.0593H67.7193V52.3505H59.9126V45.0593H55.2502L55.2451 64.0335ZM37.4796 56.8505C37.4796 54.7887 39.1059 53.2191 41.2476 53.2191C42.3633 53.1945 43.4473 53.5911 44.2837 54.3299V59.3428C43.8779 59.7237 43.4007 60.0204 42.8796 60.2159C42.3585 60.4114 41.8038 60.5019 41.2476 60.482C39.1342 60.482 37.4796 58.9098 37.4796 56.8505ZM44.3378 64.0335H48.6755V44.1108L44.294 45.0593V50.4536C43.1788 49.821 41.9164 49.4938 40.6342 49.5052C36.4616 49.5052 33.1806 52.7294 33.1806 56.8505C33.169 57.8174 33.35 58.7769 33.7131 59.6731C34.0761 60.5693 34.614 61.3842 35.2954 62.0704C35.9767 62.7565 36.7878 63.3001 37.6814 63.6694C38.5751 64.0388 39.5333 64.2265 40.5002 64.2217C41.8829 64.2283 43.2313 63.792 44.3482 62.9768L44.3378 64.0335ZM24.4435 53.0284C25.825 53.0284 26.9899 53.9227 27.4513 55.3041H21.4667C21.8997 53.8686 22.9848 53.0284 24.4487 53.0284H24.4435ZM17.0492 56.8763C17.0492 61.0516 20.4641 64.3041 24.8559 64.3041C27.2683 64.3041 29.0286 63.6547 30.8456 62.1366L27.9435 59.5593C27.2683 60.2629 26.2631 60.6418 25.0724 60.6418C24.3236 60.6629 23.586 60.4567 22.9567 60.0505C22.3273 59.6443 21.8357 59.057 21.5466 58.366H31.7657V57.2809C31.7657 52.7268 28.7038 49.4485 24.5286 49.4485C23.5471 49.4337 22.5725 49.6152 21.6622 49.9825C20.752 50.3498 19.9243 50.8954 19.2279 51.5872C18.5315 52.279 17.9805 53.1031 17.6072 54.011C17.234 54.9188 17.046 55.8922 17.0543 56.8737L17.0492 56.8763ZM9.48733 49.0438C11.0337 49.0438 11.8997 50.0206 11.8997 51.1856C11.8997 52.3505 11.0311 53.3273 9.48733 53.3273H4.87909V49.0438H9.48733ZM0.208984 64.0335H4.87909V57.1212H8.42806L12.008 64.0335H17.2116L13.0363 56.4433C14.0979 56.0122 15.0061 55.2732 15.6441 54.3215C16.2821 53.3698 16.6207 52.2489 16.6162 51.1031C16.6162 47.6882 13.9306 45.0593 9.91517 45.0593H0.216716L0.208984 64.0335Z"
        fill="black"
      />
    </g>
    <defs>
      <clipPath id="clip0">
        <rect width="100" height="64.433" fill="white" />
      </clipPath>
    </defs>
  </svg>
</template>
